#! /bin/bash

#############################################################################
#  Copyright (C) 2003  Enno Bartels   <ennobartels@t-online.de>             #
#############################################################################
#                                                                           #
#  This program is free software; you can redistribute it and/or            #
#  modify it under the terms of the GNU Library General Public              #
#  License as published by the Free Software Foundation; either             #
#  version 2 of the License, or (at your option) any later version.         #
#                                                                           #
#  This program is distributed in the hope that it will be useful,          #
#  but WITHOUT ANY WARRANTY; without even the implied warranty of           #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        #
#  Library General Public License for more details.                         #
#                                                                           #
#  You should have received a copy of the GNU Library General Public        #
#  License along with this program; see the file COPYING.LIB.  If not,      #
#  write to the Free Software Foundation, Inc., 59 Temple Place -           #
#  Suite 330,  Boston, MA 02111-1307, USA.                                  #
#                                                                           #
#############################################################################
#                                                                           #
#  Project name.....  hp215                                                 #
#                                                                           #
#  Modul name.......  change_date.sh                                        #
#                                                                           #
#  Starting dates...  --.Sep.2003 (Enno Bartels)                            #
#                                                                           #
#  Version..........  0.2.3                                                 #
#                                                                           #
#  Author...........  Enno Bartels <ennobartels@t-online.de>                #
#                                                                           #
#  Description......  Tool for the HP Photosmart 215 Camera                 #
#                                                                           #
#############################################################################/


#
CHANGE_IN_DAY_A="2000.01.01"
CHANGE_OU_DAY_A="2003.09.11"

CHANGE_IN_DAY_B="01. Januar. 2000"
CHANGE_OU_DAY_B="11. September. 2003"

CHANGE_IN_TIME="00:15"
CHANGE_OU_TIME="14:41"



##############################################################################
#                                                                            #
##############################################################################

BLA1=`find .  -name "*.html"  -maxdepth 2 -print`
for FILENAME in $BLA1
do
  echo $FILENAME $FILENAME.tmp
  sed "s/${CHANGE_IN_DAY_A}/${CHANGE_OU_DAY_A}/"  $FILENAME > $FILENAME.tmp && mv $FILENAME.tmp $FILENAME

  sed "s/${CHANGE_IN_DAY_B}/${CHANGE_OU_DAY_B}/"  $FILENAME > $FILENAME.tmp && mv $FILENAME.tmp $FILENAME

  sed "s/${CHANGE_IN_TIME}/${CHANGE_OU_TIME}/"  $FILENAME > $FILENAME.tmp && mv $FILENAME.tmp $FILENAME
  echo 

done

echo "1. Inhalte umbenennen fertig"
echo 
echo 
echo 


##############################################################################
##############################################################################

BLA2=`find .  -name "*${CHANGE_IN_DAY_A}*"  -print`
for FILENAME_IN in $BLA2
do
  echo "In : $FILENAME_IN"
  FILENAME_OUT=`echo $FILENAME_IN | sed "s/${CHANGE_IN_DAY_A}/${CHANGE_OU_DAY_A}/"` 
  if test  $FILENAME_IN  != $FILENAME_OUT ; then
    echo "Out: $FILENAME_OUT"

    mv $FILENAME_IN  $FILENAME_OUT
  fi
  echo 
done

echo "2. Dateien umbenennen Teil 1 fertig"
echo 
echo 
echo 

##############################################################################
##############################################################################


BLA3=`find .  -name "*${CHANGE_IN_TIME}*"  -print`
for FILENAME_IN in $BLA3
do
  echo "In : $FILENAME_IN"
  FILENAME_OUT=`echo $FILENAME_IN | sed "s/${CHANGE_IN_TIME}/${CHANGE_OU_TIME}/"` 
  if test  $FILENAME_IN  != $FILENAME_OUT ; then
    echo "Out: $FILENAME_OUT"
    mv $FILENAME_IN  $FILENAME_OUT
  fi 
  echo 
done

echo "3. Dateien umbenennen Teil 2 fertig"
echo 
echo 





